DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Payout
  • Introduction
  • Getting Started
    • Create Account
    • Make your first API call
    • Authentication & API Keys
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Payout
    • Overview
    • Inquire Beneficiary Account
      POST
    • Send Payout
      POST
    • Read Payout Status
      GET
    • Read Available Balance
      GET
  • Notification
    • Overview
    • Retry Notification
    • Setup Notification URL
    • Sample Notification - Global
      POST
    • Sample Notification - Cards
      POST
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
      • Payout Response Code
      • Credit Card Acquirer Response Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
      • Inquire Beneficiary Account
      • Send Payout
      • Read Payout Status
      • Read Available Balance
    • Signature
      • Signature - Global
        • Prepare Signature Component
        • Generating Signature
        • Validating Signature
        • Sample Code
      • Signature - Cards Payment API
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
        • Signature Component from Request Header
  1. Payout

Read Available Balance

GET
/v3/payout-balances
Returns the funds available for payouts, the deposit that must stay in place, the low-balance notification level, and the moment the figures were read.

Request

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/payout-balances' \
--header 'Authorization;' \
--header 'Signature: hR8kQ2vLpX4nT7wY0aZ3cB6dE9fG1hJ5kM8nP2qS4tV' \
--header 'Client-Id: BRN-0231' \
--header 'Request-Timestamp: 2026-09-13T09:15:22Z' \
--header 'API-Version: arabica.2025-12-01'

Responses

🟢200OK
application/json
The balance was read.
Headers

Bodyapplication/json

Examples
{
    "available": {
        "value": 12500.75,
        "currency": "MYR"
    },
    "held": {
        "value": 0,
        "currency": "MYR"
    },
    "alert_threshold": {
        "value": 0,
        "currency": "MYR"
    },
    "as_of": "2026-09-14T09:15:22Z"
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🔴500Internal Server Error
🔴503Service Unavailable
Modified at 2026-10-23 10:42:05
Previous
Read Payout Status
Next
Overview
Built with